# Class TaskCollection

java.lang.Object
java.util.AbstractCollection<Task>
java.util.AbstractList<Task>
java.util.ArrayList<Task>
org.daypilot.data.TaskCollection

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Task>`, `Collection<Task>`, `List<Task>`, `RandomAccess`, `SequencedCollection<Task>`

public class TaskCollection extends ArrayList<Task>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskCollection()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Task`
  `add(String text, String id, DateTime start, DateTime end)`
  `Task`
  `findById(String value)`
  `Task`
  `findByIndex(int index)`
  `TaskCollection`
  `findParentCollection(Task task)`
  `int`
  `getTotalCount()`
  `void`
  `restoreFromJSON(JSONArray input)`
  `JSONArray`
  `toJSON()`

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeIf, removeLast, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll, reversed`

- ## Constructor Details

  - ### TaskCollection

    public TaskCollection()

- ## Method Details

  - ### add

    public Task add(String text, String id, DateTime start, DateTime end)

  - ### restoreFromJSON

    public void restoreFromJSON(JSONArray input)

  - ### findByIndex

    public Task findByIndex(int index)

  - ### findById

    public Task findById(String value)

  - ### toJSON

    public JSONArray toJSON()

  - ### getTotalCount

    public int getTotalCount()

  - ### findParentCollection

    public TaskCollection findParentCollection(Task task)